Bug 139390 - GDM language selection...
Summary: GDM language selection...
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm   
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-15 19:19 UTC by Kyrre Ness Sjøbæk
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 22:48:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kyrre Ness Sjøbæk 2004-11-15 19:19:14 UTC
Description of problem:
In GDM, you have a nice little box in which you can select which
language you want the next session to be in. Which is nice an all - EXEPT:
- It shows a lot more languages than those who are acctually installed
(but they still work somehow - partilally)
- Some of the languages has acctually not supported all its characters

But this is not the worst - i have many times seen (as a school admin)
somebody just change the selection to something completely
ununderstandable for all the users, and walked away. When a new user
then logs in, he/she get presented with two options:
- Use as default
- Don't use as default (only for this session)
+ which language is selected

What i propose, is an "abort" button - something that will abort the
login, and "reset" the language selector to default.

Same goes to the session selector. You don't want people to get thrown
into "failsafe" beckause somebody thought they where funny...

Actual results:
A box asking if you want to use the language as default or only for
this session

Expected results:
A button asking for confirmation of USING a non-standard language and
a timeout, resetting the language and the username text entry box
after say 1 minute (and notifying)

Additional info:
An inexperienced user with his/her display set to persian might find
that the reset button on the machine is the only way to log out.

Comment 1 Ray Strode [halfline] 2004-11-18 13:39:35 UTC
Hi,

I don't think this should be too hard to fix.  I may work on it
sometime in the next few weeks.

Implementation wise, I think that all that will need to be done is to
check for the SUPPORTED environment variable, parse it into a list,
and check that list before adding a language.

Comment 2 Kyrre Ness Sjøbæk 2004-11-18 21:56:11 UTC
It is *just* as important to also give a "cancel, i dont want
hebraic!" button. Having a timeout, so that if you dont touch the
console (ie. alter fields, not move mouse around for 1 minute), all
fields are reset.

Comment 3 Matthew Miller 2006-07-10 21:23:01 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 4 John Thacker 2006-10-30 22:48:15 UTC
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.


Note You need to log in before you can comment on or make changes to this bug.